request_options (Python) or a final requestOptions argument (TypeScript) to override the timeout, retries or headers for one call; see request options.
login
Log in to a website using either credential stored in Skyvern, Bitwarden, 1Password, or Azure VaultCredentialType
required
Where to get the credential from
str | None
Website URLDefault:
Nonestr | None
ID of the Skyvern credential to use for login.Default:
Nonestr | None
Bitwarden collection ID. You can find it in the Bitwarden collection URL. e.g.
https://vault.bitwarden.com/vaults/collection_id/itemsDefault: Nonestr | None
Bitwarden item IDDefault:
Nonestr | None
1Password vault IDDefault:
Nonestr | None
1Password item IDDefault:
Nonestr | None
Login instructions. Skyvern has default prompt/instruction for login if this field is not provided.Default:
Nonestr | None
Webhook URL to send status updatesDefault:
NoneProxyLocationInput
Proxy location to useDefault:
Nonestr | None
Identifier for TOTP (Time-based One-Time Password) if requiredDefault:
Nonestr | None
TOTP URL to fetch one-time passwordsDefault:
Nonestr | None
ID of the browser session to use, which is prefixed by
pbs_ e.g. pbs_123456Default: Nonestr | None
The CDP address for the task.Default:
Nonedict[str, str] | None
Additional HTTP headers to include in requestsDefault:
Noneint | None
Maximum number of times to scroll for screenshotsDefault:
Nonestr | None
Azure Vault NameDefault:
Nonestr | None
Azure Vault username keyDefault:
Nonestr | None
Azure Vault password keyDefault:
Nonestr | None
Azure Vault TOTP secret keyDefault:
Nonebool
Wait for the run to reach a final status before returning.Default:
False · TypeScript: waitForCompletionfloat
Maximum time to wait for completion, in seconds.Default:
1800string
ID of a browser profile to reuse for this runTypeScript only
Record<string, string | undefined>
HTTP headers attached ONLY to the CDP WebSocket handshake when connecting to a remote browser via browser_address. Never forwarded to target websites.TypeScript only
WorkflowRunResponse · TypeScript Promise<WorkflowRunResponse>
WorkflowRunResponse fields
WorkflowRunResponse fields
download_files
Download a file from a website by navigating and clicking download buttonsInstructions for navigating to and downloading the file
str | None
User-Agent string the browser sends.Default:
None · TypeScript: x-user-agentstr | None
Website URLSent only when you pass it
str | None
Webhook URL to send status updatesSent only when you pass it
ProxyLocation | None
Proxy location to useSent only when you pass it
str | None
Identifier for TOTP (Time-based One-Time Password) if requiredSent only when you pass it
str | None
TOTP URL to fetch one-time passwordsSent only when you pass it
str | None
ID of the browser session to use, which is prefixed by
pbs_ e.g. pbs_123456Sent only when you pass itstr | None
ID of a browser profile to reuse for this runSent only when you pass it
str | None
The CDP address for the task.Sent only when you pass it
dict[str, str | None] | None
Additional HTTP headers to include in requestsSent only when you pass it
dict[str, str | None] | None
HTTP headers attached ONLY to the CDP WebSocket handshake when connecting to a remote browser via browser_address. Never forwarded to target websites.Sent only when you pass it
int | None
Maximum number of times to scroll for screenshotsSent only when you pass it
str | None
Suffix or complete filename for the downloaded fileSent only when you pass it
float | None
Timeout in seconds for the download operationSent only when you pass it
int | None
Maximum number of steps to executeSent only when you pass it
boolean
TypeScript only
number
TypeScript only
WorkflowRunResponse · TypeScript Promise<WorkflowRunResponse>
WorkflowRunResponse fields
WorkflowRunResponse fields
get_version
Returns the current Skyvern server version (git SHA for official builds).dict[str, str] · TypeScript Promise<Record<string, string>> — Current server version
Example

